- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### BandPass
Examples |
    import processing.sound.*;

    WhiteNoise noise;
    BandPass bandPass;

    float amp=0.0;

    void setup() {
      size(640,360);
      background(255);

      // Create a noise generator and a bandpass filter
      noise = new WhiteNoise(this);
      bandPass = new BandPass(this);

      noise.play(0.5);
      bandPass.process(noise, 100, 50);
    }

    void draw() {
    }
Description | This is a band pass filter.
Methods |
process() | Start the filter
stop() | Stop the filter
freq() | Set the cut off frequency for the filter
bw() | Set the bandwidth of the filter
set() | Set multiple parameters at once
Constructor |
    BandPass(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:41pm UTC